MKREISERFS(8)

NUME
mkreiserfs - instrumentul de creare pentru sistemul de fișiere Linux ReiserFS

SINOPSIS
mkreiserfs [ -dfV ] [ -b | --block-size N ] [ -h | --hash HASH ] [ -u | --uuid UUID ] [ -l | --label ETICHETA ] [ --format FORMAT ] [ -q | --quiet ] [ -j | --journal-device FIȘIER ] [ -s | --journal-size N ] [ -o | --journal-offset N ] [ -t | --transaction-max-size N ] [ -B | --badblocks fișier ] dispozitiv [ dimensiunea-sistemului_de_fișiere ]

DESCRIERE
mkreiserfs creează un sistem de fișiere Linux ReiserFS pe un dispozitiv (de obicei, o partiție de disc).

dispozitiv
    este fișierul special care corespunde unui dispozitiv sau unei partiții (de exemplu, /dev/hdXX pentru o partiție de disc IDE sau /dev/sdXX pentru o partiție de disc SCSI).

dimensiunea-sistemului_de_fișiere
    este dimensiunea în blocuri a sistemului de fișiere. Dacă este omisă, mkreiserfs o va stabili automat.

OPȚIUNI

-b | --block-size N
    N este dimensiunea blocului în octeți. Aceasta poate fi stabilită numai la o putere de 2 în intervalul 512-8192.

-h | --hash HASH
    HASH specifică ce funcție/logaritm hash (sumă de control) va sorta numele din directoare. Alegeți dintre „r5”, „rupasov” sau „tea”. „r5” este cea implicită.

--format FORMAT
    FORMAT specifică formatul pentru noul sistem de fișiere. Alegeți formatul 3.5 sau 3.6. Dacă nu se specifică niciunul, mkreiserfs va crea formatul 3.6 dacă nucleul care rulează este 2.4 sau mai mare, și formatul 3.5 dacă rulează nucleul 2.2, și va refuza crearea în toate celelalte nuclee.

-u | --uuid UUID
    Stabilește identificatorul unic universal „Universally Unique IDentifier” al sistemului de fișiere la UUID (a se vedea, de asemenea, uuidgen(8)). Formatul UUID este o serie de cifre hexazecimale separate prin cratime, de exemplu: „c1b9d5a2-f162-11cf-9ece-0020afc76f16”. În cazul în care opțiunea este omisă, mkreiserfs va genera în mod implicit un nou UUID.

-l | --label ETICHETA
    Definește eticheta de volum a sistemului de fișiere. ETICHETA poate avea cel mult 16 caractere; dacă are mai mult de 16 caractere, mkreiserfs o va trunchia.

-q | --quiet
    Configurează mkreiserfs pentru a lucra silențios, fără a produce mesaje, progrese sau întrebări. Este utilă, dar numai pentru a fi utilizată de către utilizatorii finali, dacă executați mkreiserfs într-un script.

-j | --journal-device FIȘIER
    FIȘIER este numele dispozitivului de blocuri pe care trebuie să fie plasat jurnalul sistemului de fișiere.

-o | --journal-offset N
    N este poziția de unde începe jurnalul atunci când acesta trebuie să se afle pe un dispozitiv separat. Valoarea implicită este 0. N nu are nici un efect atunci când jurnalul trebuie să se afle pe dispozitivul gazdă.

-s | --journal-size N
    N este dimensiunea jurnalului în blocuri. În cazul în care jurnalul se află pe un dispozitiv separat, dimensiunea sa este egală cu numărul de blocuri pe care îl are dispozitivul. Atunci când jurnalul se află pe dispozitivul gazdă, dimensiunea sa este de 8193, iar dimensiunea maximă posibilă este de 32749 (pentru dimensiunea blocurilor de 4k). Dimensiunea minimă este de 513 blocuri (indiferent dacă jurnalul se află pe gazdă sau pe un dispozitiv separat).

-t | --transaction-max-size N
    N este parametrul de dimensiune maximă a tranzacției pentru jurnal. Valoarea implicită și valoarea maximă posibilă este de 1024 de blocuri. Ar trebui să fie mai mică decât jumătate din dimensiunea jurnalului. Dacă este specificată incorect, va fi ajustată automat.

-B | --badblocks fișier
    fișier este numele fișierului care conține lista de blocuri care trebuie marcate ca fiind defectuoase în sistemul de fișiere. Această listă poate fi creată prin intermediul comenzii /sbin/badblocks -b block-size device.

-f  Forțează mkreiserfs să continue chiar și atunci când dispozitivul este întregul disc, pare montat, sau nu este un dispozitiv de bloc. Dacă -f este specificată de mai multe ori, permite utilizatorului să evite solicitarea de confirmare.

-d  Configurează mkreiserfs să afișeze informații de depanare în timpul execuției.

-V  Afișează numărul de versiune și apoi iese.

AUTOR
Această versiune de mkreiserfs a fost scrisă de Edward Shishkin <edward@namesys.com>.

ERORI
Raportați erorile către dezvoltatorii ReiserFS <reiserfs-devel@vger.kernel.org>, furnizând cât mai multe informații posibile - componentele calculatorului, nucleul, corecțiile, configurările, toate mesajele imprimate; verificați fișierul syslog pentru orice informații conexe.

CONSULTAȚI ȘI
reiserfsck(8), debugreiserfs(8), reiserfstune(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.